package com.sdtool.common.entity.system;

import com.sdtool.common.entity.base.BaseEntity;
import com.sdtool.common.tdoc.ApiPlace;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * Created by jlutt on 2020-10-10
 * 用户订阅消息类型
 * @author jlutt
 */
public class UserNoticeMessage extends BaseEntity {

    @Comment("id")
    @RColumn("id")
    private long id;

    @Comment("用户id，增加是从【用户管理】中选择")
    @RColumn("iduser")
    @ApiPlace("/system/addUserNoticeMessage")
    @ApiPlace("/system/deleteUserNoticeMessage")
    private long idUser;

    @Comment("用户名称")
    @ApiPlace("/system/getNoticeMessageUserList")
    private String userName;

    @Comment("部门名称")
    @ApiPlace("/system/getNoticeMessageUserList")
    private String deptName;

    @Comment("消息类型id，增加从页面参数传入，删除从行上传入")
    @RColumn("idnoticemessage")
    @ApiPlace("/system/addUserNoticeMessage")
    @ApiPlace("/system/deleteUserNoticeMessage")
    private long idNoticeMessage;

    @Comment("")
    @RColumn("messagecode")
    private String messageCode;

    public long getIdUser() {
        return idUser;
    }

    public void setIdUser(long idUser) {
        this.idUser = idUser;
    }

    public long getIdNoticeMessage() {
        return idNoticeMessage;
    }

    public void setIdNoticeMessage(long idNoticeMessage) {
        this.idNoticeMessage = idNoticeMessage;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getMessageCode() {
        return messageCode;
    }

    public void setMessageCode(String messageCode) {
        this.messageCode = messageCode;
    }
}
